PWUPDD(8)

NAME
pwupdd, pwupdd.service, pwupdd.socket - update passwd and shadow entries

SYNOPSIS

pwupdd.service

pwupdd.socket

/usr/libexec/pwupdd [OPTIONS...]

DESCRIPTION

pwupdd is an inetd(8) style socket-activated service. A new instance of the daemon is started for every incoming request.

It exposes a Varlink interface to allow authorized users to modify their own account data, including passwords, login shells, and GECOS field information. Authentication is handled via PAM(8). Additionally, the root user can utilize specific methods to update any /etc/passwd or /etc/shadow entry.

OPTIONS

-d, --debug
    Enable debug mode.

-v, --verbose
    Enable verbose logging.

-?, --help
    Give the help list.

--version
    Print program version.

VARLINK INTERFACES

The service exposes the following methods via Varlink:

Chauthtok
    Changes the password for a provided user. Authentication is performed via PAM using the configuration pwupd-passwd. This method may be called by the root user or the user owning the record.

Chfn
    Changes the finger (GECOS) information of a user. Authentication is performed via PAM using the configuration pwupd-chfn. This method may be called by the root user or the user owning the record.

Chsh
    Changes the login shell of an account. Authentication is performed via PAM using the configuration pwupd-chsh. This method may be called by the root user or the user owning the record.

UpdatePasswdShadow
    Updates the passwd and shadow entry of a specified user. Only root is allowed to call this method.

SEE ALSO

passwd(1), chfn(1), chsh(1), pam(8)